Subject: Re: bug#48700: guix import fails with unexpected token

From: "Philip Munksgaard" <[email-masked]>
Date: Thu, 10 Jun 2021 15:29:32 +0200

On Thu, 10 Jun 2021, at 15:02, zimoun wrote:
> On Thu, 10 Jun 2021 at 14:22, Philip Munksgaard <[email-masked]> wrote:
> 
> > If I understand you correctly, you're saying that this issue is an instance of bug#44115 because we get a backtrace instead of a nice error. I agree that the backtrace is ugly, but in this case the error shouldn't happen at all because all the recursively imported packages exist.
> 
> Your point is that parsing the Cabal file of the package "versions"
> fails.  Mine is, somehow, instead of an ugly backtrace (whatever the
> reason), the error for "guix import hackage futhark -r" should be:
> 
>   Syntax error: unexpected token : common (at line 36, column 0)
>   Syntax error: unexpected end of input
>   guix import: error: échec du téléchargement du fichier cabal du
> paquet « versions »
> 
> as it is for "guix import hackage versions".
> 

Good point, I agree that would be nicer. The backtrace was not my concern when submitting this bug, but it doesn't really matter as long as both issues are fixed :-)